#include <stdio.h>
#include <stdlib.h>
#include <math.h>

long long brCifara(long long n){
    int br=0;
    while(n!=0){
        br++;
        n/=10;
    }
    return br;
}
long long stepen(int x,int s){
    long long sum=x;
    if(s==0){
        return 1;
    }
    for(int i=1; i<s; i++){
        sum*=x;
    }
    return sum;
}


int main()
{


  long long n;
  int br=0;
  scanf("%lli",&n);
  while(n!=0){
    if(n-5*stepen(10,brCifara(n)-1)>=0){
        n= n- 5*stepen(10,brCifara(n)-1);
        br++;
    }else{
        if(n-2*stepen(10,brCifara(n)-1)>=0){
            n= n-2*stepen(10,brCifara(n)-1);
            br++;
        }else{
            n=n-stepen(10,brCifara(n)-1);
            br++;
        }
    }

  }
  printf("%d",br);







}